﻿

.k-datepicker,
.k-datetimepicker,
.k-picker.k-dropdownlist,
.k-combobox,
.k-input.k-textbox,
.k-numerictextbox {
    border-color: #dee2e6;
    font-size: 1rem;
    height: 38px
}

    .k-datepicker.k-invalid,
    .k-datetimepicker.k-invalid,
    .k-picker.k-dropdownlist.k-invalid,
    .k-input.k-textbox.k-invalid,
    .k-numerictextbox.k-invalid {
        border-color: #D51923;
    }

.k-table, .k-data-table {
    color: var(--bs-body-color);
}

.k-grid .form-control:disabled {
    background: none;
    border: none;
    padding-left: 0px;
    min-height: 0px;
    margin-bottom: 1rem;
}

.k-grid .grid-image {
    border-radius: 5px;
    margin: 0 auto;
    display: block;
    width: 100%;
    max-width: 200px;
}

    .k-grid .grid-image[data-has-image=false] {
        background-image: url("/images/empty-item-image.png");
        background-repeat: no-repeat;
        background-position: center center;
        height: 50px;
        width: auto;
    }

    .k-grid .grid-image[data-has-image=true]:hover {
        cursor: pointer;
        filter: brightness(1.4);
        transition: filter 0.3s ease-in-out;
    }

    .k-grid .grid-image[data-has-image=true]:not(hover) {
        cursor: pointer;
        filter: brightness(1);
        transition: filter 0.3s ease-in-out;
    }

.k-grid .k-column-title {
    white-space: break-spaces;
}

.k-grid th {
    vertical-align: middle !important;
}

.grid-page-wrapper {
    display: flex;
    flex-flow: column;
    height: 100%;
}

    .grid-page-wrapper .grid-wrapper {
        flex-grow: 1;
        display: flex;
        overflow: hidden;
    }

        .grid-page-wrapper .grid-wrapper .k-grid {
            overflow: hidden;
        }

        .grid-page-wrapper .grid-wrapper .k-grid-content {
            height: 100% !important;
            flex-grow: 1;
            display: flex;
            flex-direction: column;
        }

.wrap-header .k-column-title {
    white-space: normal !important;
    word-wrap: break-word;
}

.wrap-header .k-grid-header .k-table-th {
    vertical-align: middle;
}

.k-grid.wrap-titles .k-grid-header th.k-header .k-column-title {
    white-space: normal !important;
    overflow: visible;
}

.mapit-grid-checkbox {
    text-align: center;
    font-size: 20px;
    display: inline-flex;
    flex-flow: row nowrap;
    gap: 0;
    align-items: center;
    align-self: flex-start;
    vertical-align: middle;
    position: relative;
    width: 100%;
    justify-content: center;
}

    .mapit-grid-checkbox input {
        cursor: pointer;
        margin: 5px;
        font-size: 20px;
    }

.mapit-grid-checkbox-cell {
    display: inline-flex;
    flex-flow: row nowrap;
    gap: 0;
    align-items: center;
    align-self: flex-start;
    vertical-align: middle;
    position: relative;
    width: 100%;
    justify-content: center;
    padding: 10px 0px !important;
    margin: 0px !important;
}


    .mapit-grid-checkbox-cell input:checked {
        background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23ffffff' stroke-linecap='square' stroke-linejoin='square' stroke-width='2' d='M3,8 l3,3 l7-7'/%3e%3c/svg%3e");
    }

    .mapit-grid-checkbox-cell .k-checkbox-wrap {
        line-height: 0px !important;
    }

.mapit-grid-checkbox-header {
    display: table-cell;
    width: 100%;
    justify-content: center;
}

    .mapit-grid-checkbox-header .k-link {
        cursor: default;
    }

    .mapit-grid-checkbox-header .mapit-grid-checkbox input {
    }

.mapit-grid-badge {
    text-align: left;
}

.mapit-grid-number,
.mapit-grid-currency {
    text-align: end;
    display: inline-block;
    width: 100%;
}

div.disable-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: unset; /* Prevent mouse interactions */
    z-index: 10; /* Ensure it's above other content */
}

table.disable-overlay,
table.disable-overlay tr {
    pointer-events: none; /* Prevent mouse interactions */
    background-color: rgba(128, 128, 128, 0.1); /* Grey with 10% opacity */
    z-index: 10; /* Ensure it's above other content */
}

.k-animation-container {
    z-index: 2050 !important; /* Bootstrap modal z-index is 1055 */
}

.modal.mapit-modal-xxl {
    --bs-modal-width: 90%;
    --bs-modal-margin: 5%;
}

.k-grid tbody tr:first-child .k-grid-Up {
    opacity: 0;
    pointer-events: none;
}

.k-grid tbody tr:last-child .k-grid-Down {
    opacity: 0;
    pointer-events: none;
}


.address-display {
    white-space: pre-line;
}

.k-grid .k-toolbar {
    overflow: visible;
}

.k-grid .mapit-column-menu .k-menu-link,
.k-grid .mapit-column-menu .k-menu-item.k-item.k-focus {
    box-shadow: none;
}

.k-grid .mapit-column-menu .k-menu-expand-arrow {
    display: none;
}

.k-grid[mapit-grid-persist-column-state] label[for] {
    font-weight: normal;
    pointer-events: none;
}

.k-grid[mapit-grid-persist-column-state] {
    width: 100%;
}

    .k-grid[mapit-grid-persist-column-state] .mapit-column-menu .mapit-column-menu-showall {
        cursor: pointer;
    }

    .k-grid[mapit-grid-persist-column-state] .k-toolbar {
        justify-content: space-between;
    }

        .k-grid[mapit-grid-persist-column-state] .k-toolbar::before {
            content: none;
        }